require 'default:globals_colors'
-- COLORS and DYES Definitions
-- Taken from http://www.w3schools.com/html/html_colornames.asp

COLORS={
AliceBlue="F0F8FF",
AntiqueWhite="FAEBD7",
Aqua="00FFFF",
Aquamarine="7FFFD4",
Azure="F0FFFF",
Beige="F5F5DC",
Bisque="FFE4C4",
Black="000000",
BlanchedAlmond="FFEBCD",
Blue="0000FF",
BlueViolet="8A2BE2",
Brown="A52A2A",
BurlyWood="DEB887",
CadetBlue="5F9EA0",
Chartreuse="7FFF00",
Chocolate="D2691E",
Coral="FF7F50",
CornflowerBlue="6495ED",
Cornsilk="FFF8DC",
Crimson="DC143C",
Cyan="00FFFF",
DarkBlue="00008B",
DarkCyan="008B8B",
DarkGoldenRod="B8860B",
DarkGray="A9A9A9",
DarkGreen="006400",
DarkKhaki="BDB76B",
DarkMagenta="8B008B",
DarkOliveGreen="556B2F",
DarkOrange="FF8C00",
DarkOrchid="9932CC",
DarkRed="8B0000",
DarkSalmon="E9967A",
DarkSeaGreen="8FBC8F",
DarkSlateBlue="483D8B",
DarkSlateGray="2F4F4F",
DarkTurquoise="00CED1",
DarkViolet="9400D3",
DeepPink="FF1493",
DeepSkyBlue="00BFFF",
DimGray="696969",
DodgerBlue="1E90FF",
FireBrick="B22222",
FloralWhite="FFFAF0",
ForestGreen="228B22",
Fuchsia="FF00FF",
Gainsboro="DCDCDC",
GhostWhite="F8F8FF",
Gold="FFD700",
GoldenRod="DAA520",
Gray="808080",
Green="008000",
GreenYellow="ADFF2F",
HoneyDew="F0FFF0",
HotPink="FF69B4",
IndianRed="CD5C5C",
Indigo="4B0082",
Ivory="FFFFF0",
Khaki="F0E68C",
Lavender="E6E6FA",
LavenderBlush="FFF0F5",
LawnGreen="7CFC00",
LemonChiffon="FFFACD",
LightBlue="ADD8E6",
LightCoral="F08080",
LightCyan="E0FFFF",
LightGoldenRodYellow="FAFAD2",
LightGray="D3D3D3",
LightGreen="90EE90",
LightPink="FFB6C1",
LightSalmon="FFA07A",
LightSeaGreen="20B2AA",
LightSkyBlue="87CEFA",
LightSlateGray="778899",
LightSteelBlue="B0C4DE",
LightYellow="FFFFE0",
Lime="00FF00",
LimeGreen="32CD32",
Linen="FAF0E6",
Magenta="FF00FF",
Maroon="800000",
MediumAquaMarine="66CDAA",
MediumBlue="0000CD",
MediumOrchid="BA55D3",
MediumPurple="9370DB",
MediumSeaGreen="3CB371",
MediumSlateBlue="7B68EE",
MediumSpringGreen="00FA9A",
MediumTurquoise="48D1CC",
MediumVioletRed="C71585",
MidnightBlue="191970",
MintCream="F5FFFA",
MistyRose="FFE4E1",
Moccasin="FFE4B5",
NavajoWhite="FFDEAD",
Navy="000080",
OldLace="FDF5E6",
Olive="808000",
OliveDrab="6B8E23",
Orange="FFA500",
OrangeRed="FF4500",
Orchid="DA70D6",
PaleGoldenRod="EEE8AA",
PaleGreen="98FB98",
PaleTurquoise="AFEEEE",
PaleVioletRed="DB7093",
PapayaWhip="FFEFD5",
PeachPuff="FFDAB9",
Peru="CD853F",
Pink="FFC0CB",
Plum="DDA0DD",
PowderBlue="B0E0E6",
Purple="800080",
RebeccaPurple="663399",
Red="FF0000",
RosyBrown="BC8F8F",
RoyalBlue="4169E1",
SaddleBrown="8B4513",
Salmon="FA8072",
SandyBrown="F4A460",
SeaGreen="2E8B57",
SeaShell="FFF5EE",
Sienna="A0522D",
Silver="C0C0C0",
SkyBlue="87CEEB",
SlateBlue="6A5ACD",
SlateGray="708090",
Snow="FFFAFA",
SpringGreen="00FF7F",
SteelBlue="4682B4",
Tan="D2B48C",
Teal="008080",
Thistle="D8BFD8",
Tomato="FF6347",
Turquoise="40E0D0",
Violet="EE82EE",
Wheat="F5DEB3",
White="FFFFFF",
WhiteSmoke="F5F5F5",
Yellow="FFFF00",
YellowGreen="9ACD32",}

DYES={
xF0F8FF="AliceBlue",
xFAEBD7="AntiqueWhite",
x00FFFF="Aqua",
x7FFFD4="Aquamarine",
xF0FFFF="Azure",
xF5F5DC="Beige",
xFFE4C4="Bisque",
x000000="Black",
xFFEBCD="BlanchedAlmond",
x0000FF="Blue",
x8A2BE2="BlueViolet",
xA52A2A="Brown",
xDEB887="BurlyWood",
x5F9EA0="CadetBlue",
x7FFF00="Chartreuse",
xD2691E="Chocolate",
xFF7F50="Coral",
x6495ED="CornflowerBlue",
xFFF8DC="Cornsilk",
xDC143C="Crimson",
x00FFFF="Cyan",
x00008B="DarkBlue",
x008B8B="DarkCyan",
xB8860B="DarkGoldenRod",
xA9A9A9="DarkGray",
x006400="DarkGreen",
xBDB76B="DarkKhaki",
x8B008B="DarkMagenta",
x556B2F="DarkOliveGreen",
xFF8C00="DarkOrange",
x9932CC="DarkOrchid",
x8B0000="DarkRed",
xE9967A="DarkSalmon",
x8FBC8F="DarkSeaGreen",
x483D8B="DarkSlateBlue",
x2F4F4F="DarkSlateGray",
x00CED1="DarkTurquoise",
x9400D3="DarkViolet",
xFF1493="DeepPink",
x00BFFF="DeepSkyBlue",
x696969="DimGray",
x1E90FF="DodgerBlue",
xB22222="FireBrick",
xFFFAF0="FloralWhite",
x228B22="ForestGreen",
xFF00FF="Fuchsia",
xDCDCDC="Gainsboro",
xF8F8FF="GhostWhite",
xFFD700="Gold",
xDAA520="GoldenRod",
x808080="Gray",
x008000="Green",
xADFF2F="GreenYellow",
xF0FFF0="HoneyDew",
xFF69B4="HotPink",
xCD5C5C="IndianRed",
x4B0082="Indigo",
xFFFFF0="Ivory",
xF0E68C="Khaki",
xE6E6FA="Lavender",
xFFF0F5="LavenderBlush",
x7CFC00="LawnGreen",
xFFFACD="LemonChiffon",
xADD8E6="LightBlue",
xF08080="LightCoral",
xE0FFFF="LightCyan",
xFAFAD2="LightGoldenRodYellow",
xD3D3D3="LightGray",
x90EE90="LightGreen",
xFFB6C1="LightPink",
xFFA07A="LightSalmon",
x20B2AA="LightSeaGreen",
x87CEFA="LightSkyBlue",
x778899="LightSlateGray",
xB0C4DE="LightSteelBlue",
xFFFFE0="LightYellow",
x00FF00="Lime",
x32CD32="LimeGreen",
xFAF0E6="Linen",
xFF00FF="Magenta",
x800000="Maroon",
x66CDAA="MediumAquaMarine",
x0000CD="MediumBlue",
xBA55D3="MediumOrchid",
x9370DB="MediumPurple",
x3CB371="MediumSeaGreen",
x7B68EE="MediumSlateBlue",
x00FA9A="MediumSpringGreen",
x48D1CC="MediumTurquoise",
xC71585="MediumVioletRed",
x191970="MidnightBlue",
xF5FFFA="MintCream",
xFFE4E1="MistyRose",
xFFE4B5="Moccasin",
xFFDEAD="NavajoWhite",
x000080="Navy",
xFDF5E6="OldLace",
x808000="Olive",
x6B8E23="OliveDrab",
xFFA500="Orange",
xFF4500="OrangeRed",
xDA70D6="Orchid",
xEEE8AA="PaleGoldenRod",
x98FB98="PaleGreen",
xAFEEEE="PaleTurquoise",
xDB7093="PaleVioletRed",
xFFEFD5="PapayaWhip",
xFFDAB9="PeachPuff",
xCD853F="Peru",
xFFC0CB="Pink",
xDDA0DD="Plum",
xB0E0E6="PowderBlue",
x800080="Purple",
x663399="RebeccaPurple",
xFF0000="Red",
xBC8F8F="RosyBrown",
x4169E1="RoyalBlue",
x8B4513="SaddleBrown",
xFA8072="Salmon",
xF4A460="SandyBrown",
x2E8B57="SeaGreen",
xFFF5EE="SeaShell",
xA0522D="Sienna",
xC0C0C0="Silver",
x87CEEB="SkyBlue",
x6A5ACD="SlateBlue",
x708090="SlateGray",
xFFFAFA="Snow",
x00FF7F="SpringGreen",
x4682B4="SteelBlue",
xD2B48C="Tan",
x008080="Teal",
xD8BFD8="Thistle",
xFF6347="Tomato",
x40E0D0="Turquoise",
xEE82EE="Violet",
xF5DEB3="Wheat",
xFFFFFF="White",
xF5F5F5="WhiteSmoke",
xFFFF00="Yellow",
x9ACD32="YellowGreen",
}

