
---   W A R N I N G 
--- 1.:	This file must be included together with 
--- 	the default or a modded 'incl_gametime' because 
--- 	it relies on its functions
--- 2.:	No Leap Year handling yet (ToDo)
---

--- ToDo:
-- We use the DateTime thingy of MS .NET since the standard  calendar 
-- will simply be a shifted and compressed real time, renamed to fancy stuff
-- GMT = Gwar Mean Technical = A Gwar technical calendar stemming from the 
-- times when they were living underground
-- 



--- Get inGame Minutes since inGame midnight
function GetGMinutesSinceGMidnight()
	return  math.floor(GetGameTimeOfDay() * 60)
end


-- TODO SECTION
-- DateTime.UtcNow.Ticks/(10,000,000*60) = minutes since 1.1.0000

-- Time is measured in Ticks = 100 ns
function gt2rt(Gametime)
	-- this returns the real time in Ticks which corresponds to the given gametime
	return (Gametime*TIME_COMPRESSION_FACTOR)+GAMETIME_START
end 

function rt2gt(Realtime)
 	-- Returns the gametime in ticks which corresponds to a given real time
 	return (Realtime - GAMETIME_START )/TIME_COMPRESSION_FACTOR
end

--- returns a Datetime object set to current gametime
function gtNow()
	return DateTime(rt2gt(DateTime.UtcNow.Ticks))
end

--- returns a Datetime object set to current real time Utc
function rtNow()
	return DateTime.UtcNow
end



--TODO Functions:
-- gt2Year(ticks) returns in game year from gameticks
-- gt2Month(ticks) returns in game year from gameticks
-- gt2Day(ticks) returns in game day in month from gameticks
-- gt2DayInYear(ticks) returns in game day of the year from gameticks
