AllQuests.TestQuest = {

	QuestName = "TestQuest",
	StartConditions = {"EnterRegion"},
	StartConditionArgs = {TaskRegion = "Market"},
	Description = "This is an example description for a test quest",
	StartingTask = "talkToBarney",
	QuestDisplayName = "[ECD905]Taking to Fred[-]",
	Repeatable = false, -- OPTIONAL (makes quest repeatable)
	QuestCompleteMessage = "You have spoken to fred!",
	Tasks =
	{
		talkToBarney =
		{
			TaskName = "talkToBarney",
			Description = "Talk to Barney the lazy",
			NextTask = "findFred",
			Hint = "Try looking in the inn!",
			CompletionConditions = {"ObjVar",},
			TaskDeleteObjVar = true,
			TaskObjVarName = "testQuestVariable",
			FinishActions = {"Hint", "ObjVar"},
		},
		findFred =
		{
			TaskName = "findFred",
			Description = "Look for Fred at the Mayors House.",
			NextTask = "talkToFred",
			Reward = "item_beer",
			Hint = "Look for Fred at the Mayors House.",
			StartActions = {"Hint"},
			CompletionConditions = {"EnterRegion",},
			TaskRegion = "MayorHouse",	
			FinishActions = {"CreateItem",},
		},
		talkToFred =
		{
			TaskName = "talkToFred",
			Description = "Approach fred and talk to him!",
			RewardItems = {{"resource_iron_ore",20}},
			TaskDeleteObjVar = true,
			TaskObjVarName = "Intro|Fred",
			FinishActions = {"CreateItems","ObjVar"},
			CompletionConditions = {"ObjVar"},
			IsQuestEnding = true, -- is this the last quest in the chain
		},			
	}
}